<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");

DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~remove-unmasked-hisat.js" 
	styles="path.css,~../css/reggie-2.css"
>
<style>

#update-results
{
	width: 40em; 
	border-width: 1px; 
	margin-left: 2em;
}

#update-results th, #update-results td
{
	text-align: left;
	padding: 2px;
}

</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Delete unmasked Hisat alignments" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Unmasked Hisat alignments</div>
		<div class="step-content">

			<div style="padding: 1em;">
			<ul>
			<li>This wizard will delete all <b>Hisat AlignedSequences</b> that 
				doesn't have a <b>MaskedSequences</b> parent item.
			<li>Files and other items that are related to the alignments are
				also deleted. 
			<li>There are currently <b><span id="count"></span></b> such alignments.
			</li>
			</div>
		</div>
	</div>


	<div id="wizard-status"></div>
	<div id="wizard-progress"></div>


		<table class="navigation" id="navigation">
		<tr>
			<td><base:button id="gocancel" title="Cancel" /></td>
			<td><base:button id="godelete" title="Delete" image="<%=home+"/images/gonext.png"%>" /></td>
			<td id="gonext-message" class="message"></td>
		</tr>
		</table>
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>