<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~genotype_qc.js" 
	styles="path.css,~../css/reggie-2.css"
>
<style>
tr.highlight
{
	border-top-width: 1px;
	border-top-style: dotted;
}

#compareTable
{
	width: 100%; 
	border-collapse: collapse;
}

#compareTable thead
{
	border-bottom-width: 1px;
	border-top-width: 0;
}

#compareTable td
{
	text-align: center;
	min-width: 4.5em;
}

#compareTable tbody td
{
	padding-top: 1px;
	padding-bottom: 1px;
}

#compareTable .italic
{
	font-style: italic;
}

#compareTable .icon-col
{
	width: 20px;
	max-width: 20px;
	min-width: 0;
}

#compareTable .warning-col
{
	text-align: left;
}

#compareTable .case-summary
{
	margin-left: 4px;
}

.warning-msg
{
	margin-left: 0.25em;
}
.warning-msg::before
{
	content: '»';
	color: #A0A0A0;
	margin-right: 0.25em;
}

.comment input
{
	width: 95%;
	min-width: 20em;
}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Genotype quality control " 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">

	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select aligned sequences</div>
		<div class="step-content">
		
			<table class="step-form">
			<tr>
				<td class="prompt">Already checked</td>
				<td class="input" id="alreadyChecked"></td>
				<td class="status" id="alreadyChecked.status"></td>
				<td class="help"><span id="alreadyChecked.message" class="message"></span>
					Existing aligned sequences that has already been checked.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Aligned sequences</td>
				<td class="input">
					<select class="required yellow-label-support" multiple size="30"
						name="alignedSequences" id="alignedSequences"></select>
						
					<base:buttongroup style="margin-top: 0.5em;">
						<base:button title="Select manually&hellip;" id="btnSelectAlignedSequences" />
					</base:buttongroup>
				</td>
				<td class="status" id="alignedSequences.status"></td>
				<td class="help"><span id="alignedSequences.message" class="message"></span>
					Select the sequences that should be checked. The list contains aligned sequences 
					that has not yet been checked.
				</td>
			</tr>
			</table>
		</div>
	</div>

	<div class="step auto-hide" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title" id="step-2-title">Genotype comparison results</div>
		<div class="step-content">
			<div id="comparisons"></div>
		</div>
	</div>
	
	
		<div id="wizard-status"></div>
		<div id="wizard-progress"></div>
	
		<table class="navigation" id="navigation">
		<tr>
			<td><base:button id="gocancel" title="Cancel" /></td>
			<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
			<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
			<td id="gonext-message" class="message"></td>
		</tr>
		</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>