<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.File"
	import="net.sf.basedb.core.DerivedBioAssay"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	
	int fileId = Values.getInt(request.getParameter("fileId"));
	int itemId = Values.getInt(request.getParameter("itemId"));

	int fileId2 = Values.getInt(request.getParameter("fileId2"));
	int itemId2 = Values.getInt(request.getParameter("itemId2"));
	
	DerivedBioAssay aligned = DerivedBioAssay.getById(dc, itemId);
	
	boolean compareMode = fileId2 != 0;
	DerivedBioAssay aligned2 = compareMode ? DerivedBioAssay.getById(dc, itemId2) : null;
	
	String title = null;
	int headerColspan = 3;
	if (compareMode)
	{
		title = "Compare genotypes: " + aligned.getName() + " vs. " + aligned2.getName();
		headerColspan = 1;
	}
	else
	{
		title = "Genotype summary: " + aligned.getName();
	}
%>
<base:page type="popup" title="View genotypes">
<base:head scripts="~view_genotypes.js,~../reggie-2.js" styles="path.css,~../css/reggie-2.css">

<style>

#snp-list th
{
	text-align: left;
	padding: 2px;
	border-right-width: 0;
}

#snp-list td
{
	padding: 2px;
}

#snp-list .snp
{
	border-bottom-style: dotted;
	border-bottom-width: 1px;
}
#snp-list tr :first-child
{
	padding-left: 4px;
}
.lowgq
{
	color: #999999;
}
.mismatch .gt2, .mismatch .gt1
{
	background-color: #FFE0E0;
}

.hidematches .match
{
	display: none;
}

</style>

</base:head>
<base:body data-read-only="1">
	<h1><%=HTML.encodeTags(title) %></h1>

	<div id="page-data" class="datacontainer"
		data-file-id="<%=fileId%>" data-file-id2="<%=fileId2%>"
		data-item-id="<%=itemId%>" data-item-id2="<%=itemId2%>"
	></div>
	
	<form name="reggie" id="wizard" class="wizard">
	<div class="content bottomborder">
		<table id="sample-summary" class="fullform input100 bottomborder" style="display:none; height:auto;">
		<tbody>
		<tr>
			<%if (compareMode){%>
				<th colspan="2" class="bottomborder">Mismatches</th>
			<%}%>
			<th colspan="<%=headerColspan%>">Alignment</th>
			<td colspan="4"><%=HTML.encodeTags(aligned.getName())%></td>
			<%if (compareMode){%>
				<td colspan="4" class="dottedleft"><%=HTML.encodeTags(aligned2.getName())%></td>
			<%}%>
		</tr>
		<tr>
			<%if (compareMode){%>
				<th>Total</th>
				<td class="rightborder"><span id="mismatches-total"></span></td>
			<%}%>
			<th colspan="<%=headerColspan%>">Genotypes</th>
			<td colspan="4"><span id="gtCount"></span></td>
			<%if (compareMode){%>
				<td colspan="4" class="dottedleft"><span id="gtCount2"></span></td>
			<%}%>
		</tr>
		<tr>
			<%if (compareMode){%>
				<th>High GQ</th>
				<td class="rightborder"><span id="mismatches-high"></span></td>
			<%}%>
			<th colspan="<%=headerColspan%>">Average GQ</th>
			<td colspan="4"><span id="avgGQ"></span></td>
			<%if (compareMode){%>
				<td colspan="4" class="dottedleft"><span id="avgGQ2"></span></td>
			<%}%>
		</tr>
		<tr>
			<%if (compareMode){%>
				<th>HOM › HOM</th>
				<td class="rightborder"><span id="mismatches-homhom"></span></td>
			<%}%>
			<th colspan="<%=headerColspan%>">Aligned pairs</th>
			<td colspan="4"><span id="alignedPairs"></span></td>
			<%if (compareMode){%>
				<td colspan="4" class="dottedleft"><span id="alignedPairs2"></span></td>
			<%}%>
		</tr>
		<%
		if (compareMode)
		{
			%>
			<tr>
				<th>HET › HOM</th>
				<td class="rightborder"><span id="mismatches-hethom"></span></td>
				<th colspan="<%=headerColspan%>">LibPlate</th>
				<td colspan="4"><span id="libPlate"></span></td>
				<td colspan="4" class="dottedleft"><span id="libPlate2"></span></td>
			</tr>
			<tr>
				<th>HOM › HET</th>
				<td class="rightborder"><span id="mismatches-homhet"></span></td>
				<th colspan="<%=headerColspan%>">Qiacube</th>
				<td colspan="4"><span id="qiacube"></span></td>
				<td colspan="4" class="dottedleft"><span id="qiacube2"></span></td>
			</tr>
			<tr>
				<th></th>
				<td class="rightborder"></td>
				<th colspan="<%=headerColspan%>">Partition date</th>
				<td colspan="4"><span id="partitionDate"></span></td>
				<td colspan="4" class="dottedleft"><span id="partitionDate2"></span></td>
			</tr>
			<tr>
				<th></th>
				<td class="rightborder"></td>
				<th colspan="<%=headerColspan%>">Patient</th>
				<td colspan="4"><span id="pat"></span></td>
				<td colspan="4" class="dottedleft"><span id="pat2"></span></td>
			</tr>
			<%
		}
		%>
		</tbody>
		<tbody id="snp-list"></tbody>
		</table>

		<div id="wizard-status"></div>
	</div>	
	</form>
	
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="close" title="Close" />
	</base:buttongroup>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>